- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Notify File Reference

`#include <osg/Export>`
`#include <ostream>`

Include dependency graph for Notify:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Defines
#define | OSG_NOTIFY 1
## Enumerations
enum | osg::NotifySeverity { osg::ALWAYS = 0, osg::FATAL = 1, osg::WARN = 2, osg::NOTICE = 3, osg::INFO = 4, osg::DEBUG_INFO = 5, osg::DEBUG_FP = 6 }
| Range of notify levels from DEBUG_FP through to FATAL, ALWAYS is reserved for forcing the absorption of all messages. More...
## Functions
SG_EXPORT void | osg::setNotifyLevel (NotifySeverity severity)
| set the notify level, overriding the default or the value set by the environmental variable OSGNOTIFYLEVEL.
SG_EXPORT NotifySeverity | osg::getNotifyLevel ()
| get the notify level.
SG_EXPORT bool | osg::initNotifyLevel ()
| initialize notify level.
SG_EXPORT std::ostream & | osg::notify (const NotifySeverity severity)
| notify messaging function for providing fatal through to verbose debugging messages.
std::ostream & | osg::notify (void)

## Define Documentation

#define OSG_NOTIFY 1